[Solved] Snips_asr_hermes: asr thread ended with an unrecoverable error

raspberry
#1

My snips assistant was working fine. But after migration to the assistant associated with another account, Snips just recognises hotword and then it does not wait for further commands.

I get following from sam watch

pi@raspberrypi:~ $ sam watch
[10:52:47] Watching on localhost:1883 (MQTT)
[10:53:13] [Hotword] detected on site default, for model hey_snips
[10:53:13] [Asr] was asked to stop listening on site default
[10:53:13] [Hotword] was asked to toggle itself 'off' on site default
[10:53:13] [Dialogue] session with id 'b9256b20-1f46-4169-8414-c7d9ecef971a' was started on site default
[10:53:13] [AudioServer] was asked to play a wav of 41.1 kB with id '23b98e08-2666-43e5-b281-a73089147f8d' on site default
[10:53:14] [AudioServer] finished playing wav with id '23b98e08-2666-43e5-b281-a73089147f8d'
[10:53:14] [Asr] was asked to listen on site default
[10:53:30] [Dialogue] session with id 'b9256b20-1f46-4169-8414-c7d9ecef971a' was ended on site default. The session was ended because one of the component didn't respond in a timely manner
[10:53:30] [Asr] was asked to stop listening on site default
[10:53:30] [Hotword] was asked to toggle itself 'on' on site default

When I run snips-asr -vvv, i get the following output

[10:55:12.137689] INFO :snips_asr_hermes               : Using model from "/usr/share/snips/assistant/custom_asr"
[10:55:12.137904] DEBUG:snips_kaldi::version           : checking version libsnips_kaldi 0.23.3, me 0.24.2
[10:55:12.137961] DEBUG:snips_asr_hermes               : Asr main thread ended
[10:55:12.137988] ERROR:snips_asr_hermes               : Asr main thread ended with error: An unrecoverable error occurred
 -> caused by: Linked version mismatch
 -> caused by: libsnips_kaldi version is 0.23.3 but snips-kaldi-rs requires ^0.24

[10:55:12.138099] INFO :snips_asr                      : Pipeline is finished
[10:55:12.138143] DEBUG:rumqtt::connection             : Send: Subscribe(Subscribe { pid: PacketIdentifier(2), topics: [SubscribeTopic { topic_path: "hermes/asr/startListening", qos: AtMostOnce }] })
[10:55:12.138289] ERROR:snips_asr                      : An unrecoverable error occurred
 -> caused by: Linked version mismatch
 -> caused by: libsnips_kaldi version is 0.23.3 but snips-kaldi-rs requires ^0.24

I tried upgrading my pi, unfortunatyely, i get the following error

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  chromium-browser chromium-browser-l10n chromium-codecs-ffmpeg-extra
  rpi-chromium-mods scratch2 snips-kaldi-atlas snips-platform-voice
7 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 98.6 MB/168 MB of archives.
After this operation, 116 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Err:1 http://archive.raspberrypi.org/debian stretch/main armhf chromium-browser-l10n all 72.0.3626.121-0+rpt3
  404  Not Found [IP: 2a00:1098:0:80:1000:13:0:6 80]
Err:2 http://archive.raspberrypi.org/debian stretch/main armhf chromium-browser armhf 72.0.3626.121-0+rpt3
  404  Not Found [IP: 2a00:1098:0:80:1000:13:0:6 80]
Err:3 http://archive.raspberrypi.org/debian stretch/main armhf chromium-codecs-ffmpeg-extra armhf 72.0.3626.121-0+rpt3
  404  Not Found [IP: 2a00:1098:0:80:1000:13:0:6 80]
Err:4 http://archive.raspberrypi.org/debian stretch/ui armhf rpi-chromium-mods armhf 20190319
  404  Not Found [IP: 2a00:1098:0:80:1000:13:0:6 80]
E: Failed to fetch http://archive.raspberrypi.org/debian/pool/main/c/chromium-browser/chromium-browser-l10n_72.0.3626.121-0+rpt3_all.deb  404  Not Found [IP: 2a00:1098:0:80:1000:13:0:6 80]
E: Failed to fetch http://archive.raspberrypi.org/debian/pool/main/c/chromium-browser/chromium-browser_72.0.3626.121-0+rpt3_armhf.deb  404  Not Found [IP: 2a00:1098:0:80:1000:13:0:6 80]
E: Failed to fetch http://archive.raspberrypi.org/debian/pool/main/c/chromium-browser/chromium-codecs-ffmpeg-extra_72.0.3626.121-0+rpt3_armhf.deb  404  Not Found [IP: 2a00:1098:0:80:1000:13:0:6 80]
E: Failed to fetch http://archive.raspberrypi.org/debian/pool/ui/r/rpi-chromium-mods/rpi-chromium-mods_20190319_armhf.deb  404  Not Found [IP: 2a00:1098:0:80:1000:13:0:6 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
#2

It seems that all the packages needed are not installed on your device
snips-kaldi-atlas snips-platform-voice

Can you try the following command?

sudo apt update && sudo apt upgrade snips-kaldi-atlas snips-platform-voice

#3

Thank you for your support. The system is all up and working fine after the update. But Why is Snips-Analystic is always in “not running” state. How to make it run?

#4

It is deactivated at the moment. Don’t worry about that.

It may be removed at some point, still undecided.